Bug 462711 - Review Request: Mothanna-fonts - Mothanna-fonts from Arabeyes.org
Review Request: Mothanna-fonts - Mothanna-fonts from Arabeyes.org
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Mailhot
Fedora Extras Quality Assurance
:
Depends On: 461139
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2008-09-18 10:22 EDT by Subhodip Biswas
Modified: 2009-06-02 01:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-02 01:27:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Subhodip Biswas 2008-09-18 10:22:05 EDT
Spec URL: http://subhodip.fedorapeople.org/Mothanna-fonts.spec
SRPM URL: http://subhodip.fedorapeople.org/Mothanna-fonts-0.02-3.fc9.src.rpm
Description: This package contains core Arabic fonts from Arabeyes.org project.
It covers Arabic, Farsi, Urdu and Pashto languages, and is suitable for
on screen display.

Koji build : http://koji.fedoraproject.org/koji/taskinfo?taskID=831917
Comment 1 Jens Petersen 2008-10-03 02:26:40 EDT
Made this depend on Thabit-fonts review (bug 461139) since the packaging is very similar: so I suggest best to finish that review first to avoid duplicate review work.
Comment 2 Nicolas Mailhot 2008-10-26 08:29:28 EDT
Needinfo till a package that conforms to the points listed in bug #461139 is made available
Comment 3 Nicolas Mailhot 2008-11-17 04:53:00 EST
Ping?
Comment 4 Nicolas Mailhot 2008-12-21 16:43:53 EST
[This is a simplified version of the message sent to every package maintainer that ships TTF/OTF/Type1 fonts in Fedora.]

Our font packaging guidelines have now changed. New font package submissions must now be adapted to the new templates available in the fontpackages-devel
package:
 – http://fedoraproject.org/wiki/fontpackageshttp://fedoraproject.org/wiki/Simple_fonts_spec_templatehttp://fedoraproject.org/wiki/Fonts_spec_template_for_multiple_fonts

It is preferred to create a font package or subpackage per font family, though
it is not currently a hard guidelines requirement.
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_splitting_rules_(2008-12-21)
has been submitted for FPC and FESCO approval today.

The new templates should make the creation of font packages easy and safe. 

The following packages have already been converted by their packager in fedora-devel and can serve as examples:
❄ abyssinica-fonts
❄ andika-fonts
❄ apanov-heuristica-fonts
❄ bitstream-vera-fonts
❄ charis-fonts
❄ dejavu-fonts
❄ ecolier-court-fonts
❄ edrip-fonts
❄ gfs-ambrosia-fonts
❄ gfs-artemisia-fonts
❄ gfs-baskerville-fonts
❄ gfs-bodoni-classic-fonts
❄ gfs-bodoni-fonts
❄ gfs-complutum-fonts
❄ gfs-didot-classic-fonts
❄ gfs-didot-fonts
❄ gfs-eustace-fonts
❄ gfs-fleischman-fonts
❄ gfs-garaldus-fonts
❄ gfs-gazis-fonts
❄ gfs-jackson-fonts
❄ gfs-neohellenic-fonts
❄ gfs-nicefore-fonts
❄ gfs-olga-fonts
❄ gfs-porson-fonts
❄ gfs-solomos-fonts
❄ gfs-theokritos-fonts
❄ nafees-web-naskh-fonts
❄ stix-fonts
❄ yanone-kaffeesatz-fonts

The new spec templates have been designed to be easy to update to from the previous guidelines, and to remove complexity from font packages. To help new package creation the fontpackages-devel package has been made available in Fedora 9 and 10.

If you have any remaining questions about the new guidelines please ask them
on:
fedora-fonts-list at redhat.com
Comment 5 Peter Robinson 2009-02-06 11:09:01 EST
What is the status of this?
Comment 6 Nicolas Mailhot 2009-03-21 07:28:48 EDT
(In reply to comment #5)
> What is the status of this?  

The original submitter needs to take care of the review feedback, or someone else needs to submit a competing review request
Comment 7 Peter Robinson 2009-04-12 19:23:06 EDT
Hello Subhodip, What is the status of the updates required to this package for the review? It would be great to get this into Fedora 11.
Comment 8 Parag Nemade 2009-06-02 01:27:32 EDT
Its almost 7 months and no reply from submitter, I will close this review now. Anyone interested please submit new package review.
Subodh,
   If you are still following this review and want to package this, submit updated package.

Note You need to log in before you can comment on or make changes to this bug.